Attribute VB_Name = "EPX30SC"
Option Explicit


'---------------------------------
' EPX-30SC API library definitions
'---------------------------------

'
' Device status (Return codes)
'
Public Const EPX30SC_OK As Long = 0
Public Const EPX30SC_INVALID_HANDLE As Long = 1
Public Const EPX30SC_DEVICE_NOT_FOUND As Long = 2
Public Const EPX30SC_DEVICE_NOT_OPENED As Long = 3
Public Const EPX30SC_OTHER_ERROR As Long = 4
Public Const EPX30SC_COMMUNICATION_ERROR As Long = 5
Public Const EPX30SC_INVALID_PARAMETER As Long = 6


'
' Counter Mode
'
Public Const EPX30SC_CNT_MODE_1PHASE As Byte = 0
Public Const EPX30SC_CNT_MODE_2PHASE As Byte = 1

'
' Counter Direction
'
Public Const EPX30SC_CNT_DIR_UP As Byte = 0
Public Const EPX30SC_CNT_DIR_DOWN As Byte = 1

'
' Counter Control
'
Public Const EPX30SC_CNT_DISABLE As Byte = 0
Public Const EPX30SC_CNT_ENABLE As Byte = 1

'
' Counter Status
'
Public Const EPX30SC_CNT_OK As Byte = 0
Public Const EPX30SC_CNT_OVF As Byte = 1
Public Const EPX30SC_CNT_UDF As Byte = 2

'
' Counter External Control
'
Public Const EPX30SC_CNT_EX_DISABLE As Byte = 0
Public Const EPX30SC_CNT_EX_ENABLE As Byte = 1

'
' Counter Latch Flag
'
Public Const EPX30SC_CNT_LAT_FALSE As Byte = 0
Public Const EPX30SC_CNT_LAT_TRUE As Byte = 1

'
' I/O Port
'
Public Const EPX30SC_PORT0 As Byte = 0
Public Const EPX30SC_PORT1 As Byte = 1
Public Const EPX30SC_PORT2 As Byte = 2
Public Const EPX30SC_PORT3 As Byte = 3

'
' Port Direction
'
Public Const EPX30SC_PORT_DIR_INPUT As Byte = 0
Public Const EPX30SC_PORT_DIR_OUTPUT As Byte = 1


'
' Device Functions
'
Public Declare Function EPX30SC_GetNumberOfDevices Lib "EPX30SC.dll" (ByRef Number As Long) As Long
Public Declare Function EPX30SC_GetSerialNumber Lib "EPX30SC.dll" (ByVal Index As Long, ByRef SerialNumber As Long) As Long
Public Declare Function EPX30SC_Open Lib "EPX30SC.dll" (ByRef Handle As Long) As Long
Public Declare Function EPX30SC_OpenBySerialNumber Lib "EPX30SC.dll" (ByVal SerialNumber As Long, ByRef Handle As Long) As Long
Public Declare Function EPX30SC_Close Lib "EPX30SC.dll" (ByVal Handle As Long) As Long

'
' Counter Functions
'
Public Declare Function EPX30SC_SetCounterMode Lib "EPX30SC.dll" (ByVal Handle As Long, ByVal Mode As Byte) As Long
Public Declare Function EPX30SC_GetCounterMode Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Mode As Byte) As Long
Public Declare Function EPX30SC_SetCounterDirection Lib "EPX30SC.dll" (ByVal Handle As Long, ByVal Direction As Byte) As Long
Public Declare Function EPX30SC_GetCounterDirection Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Direction As Byte) As Long
Public Declare Function EPX30SC_SetCounterControl Lib "EPX30SC.dll" (ByVal Handle As Long, ByVal Control As Byte) As Long
Public Declare Function EPX30SC_GetCounterControl Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Control As Byte) As Long
Public Declare Function EPX30SC_ResetCounter Lib "EPX30SC.dll" (ByVal Handle As Long) As Long
Public Declare Function EPX30SC_GetCounterValue Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Value As Long) As Long
Public Declare Function EPX30SC_GetCounterStatus Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Status As Byte) As Long
Public Declare Function EPX30SC_GetCounterExControl Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Control As Byte) As Long
Public Declare Function EPX30SC_GetCounterLatchFlag Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Flag As Byte) As Long
Public Declare Function EPX30SC_GetCounterLatchValue Lib "EPX30SC.dll" (ByVal Handle As Long, ByRef Value As Long) As Long

'
' I/O Port Functions
'
Public Declare Function EPX30SC_SetPortDirection Lib "EPX30SC.dll" (ByVal Handle As Long, ByVal Port As Byte, ByVal Direction As Byte) As Long
Public Declare Function EPX30SC_GetPortDirection Lib "EPX30SC.dll" (ByVal Handle As Long, ByVal Port As Byte, ByRef Direction As Byte) As Long
Public Declare Function EPX30SC_OutputPort Lib "EPX30SC.dll" (ByVal Handle As Long, ByVal Port As Byte, ByVal Value As Byte) As Long
Public Declare Function EPX30SC_InputPort Lib "EPX30SC.dll" (ByVal Handle As Long, ByVal Port As Byte, ByRef Value As Byte) As Long


